package kubelwagen

import "github.com/hanwen/go-fuse/fuse"

type FS interface {
	Handle(req *Request) *Response
}

func ErrorResp(r *Request, err error) *Response {
	return &Response{
		ID:   r.ID,
		Code: fuse.ToStatus(err),
	}
}
